/**
 * @author       Digitsensitive <digit.sensitivee@gmail.com>
 * @copyright    2020 digitsensitive
 * @description  Dat.Gui Service
 *               dat.gui is a lightweight controller library for JavaScript.
 *               https://github.com/dataarts/dat.gui
 * @version      1.0.0
 * @license      {@link https://github.com/digitsensitive/phaser3-typescript/blob/master/LICENSE.md | MIT License}
 */
export declare class DatGuiService {
    private gui;
    private controllers;
    constructor();
    addFolder(folderName: string): void;
    addController(controllerName: string, target: Object, propName: string, hasController: boolean, controllerFunction?: (value: any) => void, items?: string[] | number[] | Object): void;
    addNumberController(controllerName: string, target: Object, propName: string, hasController: boolean, configNumber: {
        min: number;
        max: number;
        step: number;
    }, controllerFunction?: (value: any) => void): void;
    private addOnChangeToController;
}
